<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cy__crypto__core__trng__config__v2_8h" kind="file" language="C++">
    <compoundname>cy_crypto_core_trng_config_v2.h</compoundname>
    <includedby local="yes" refid="cy__crypto__core__trng__v2_8c">cy_crypto_core_trng_v2.c</includedby>
      <sectiondef kind="define">
      <memberdef id="cy__crypto__core__trng__config__v2_8h_1af3c1d22ac1f2669f30412b7389bd79c9" kind="define" prot="public" static="no">
        <name>CY_CRYPTO_V2_TR_SAMPLE_CLOCK_DIV</name>
        <initializer>(0UL)</initializer>
        <briefdescription>
<para>TRNG Configuration default values. </para>        </briefdescription>
        <detaileddescription>
<para>Specifies the clock divider that is used to sample oscillator data. "0": sample clock is "clk_sys". "1": sample clock is "clk_sys"/2. ... "255": sample clock is "clk_sys"/256. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_trng_config_v2.h" bodystart="47" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_trng_config_v2.h" line="47" />
      </memberdef>
      <memberdef id="cy__crypto__core__trng__config__v2_8h_1ac48e0fd9475df4399e12f91b36db2d61" kind="define" prot="public" static="no">
        <name>CY_CRYPTO_V2_TR_RED_CLOCK_DIV</name>
        <initializer>(0UL)</initializer>
        <briefdescription>
<para>Specifies the clock divider used to produce reduced bits. </para>        </briefdescription>
        <detaileddescription>
<para>"0": 1 reduced bit is produced for each sample. "1": 1 reduced bit is produced for each 2 samples. ... "255": 1 reduced bit is produced for each 256 samples.</para><para>The reduced bits are considered random bits and shifted into TR_RESULT0.DATA32. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_trng_config_v2.h" bodystart="58" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_trng_config_v2.h" line="58" />
      </memberdef>
      <memberdef id="cy__crypto__core__trng__config__v2_8h_1ac560eb9ac9356ba3b915b4b970197dc1" kind="define" prot="public" static="no">
        <name>CY_CRYPTO_V2_TR_INIT_DELAY</name>
        <initializer>(3UL)</initializer>
        <briefdescription>
<para>Specifies an initialization delay: a number of removed/dropped samples before reduced bits are generated. </para>        </briefdescription>
        <detaileddescription>
<para>This field should be programmed in the range [1, 255]. After starting the oscillators, at least the first 2 samples should be removed/dropped to clear the state of internal synchronizers. In addition, it is advised to drop at least the second 2 samples from the oscillators (to circumvent the semi-predictable oscillator start-up behavior). This results in the default field value of "3". the field encoding is as follows: "0": 1 sample is dropped. "1": 2 samples are dropped. ... "255": 256 samples are dropped.</para><para>The TR_INITIALIZED interrupt cause is set to '1', when the initialization delay is passed. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_trng_config_v2.h" bodystart="75" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_trng_config_v2.h" line="75" />
      </memberdef>
      <memberdef id="cy__crypto__core__trng__config__v2_8h_1a7f323dd65d59714b06015568f35f390d" kind="define" prot="public" static="no">
        <name>CY_CRYPTO_V2_TR_VON_NEUMANN_CORR</name>
        <initializer>(1UL)</initializer>
        <briefdescription>
<para>Specifies if the "von Neumann corrector" is disabled or enabled: '0': disabled. </para>        </briefdescription>
        <detaileddescription>
<para>'1': enabled. The "von Neumann corrector" post-processes the reduced bits to remove a '0' or '1' bias. The corrector operates on reduced bit pairs ("oldest bit, newest bit"): "00": no bit is produced. "01": '0' bit is produced (oldest bit). "10": '1' bit is produced (oldest bit). "11": no bit is produced. NOTE: The corrector produces bits at a random pace and at a frequency that is 1/4 of the reduced bit frequency (reduced bits are processed in pairs, and half of the pairs do NOT produce a bit). </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_trng_config_v2.h" bodystart="91" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_trng_config_v2.h" line="91" />
      </memberdef>
      <memberdef id="cy__crypto__core__trng__config__v2_8h_1abfad655370dad8f0f6b28600120e66d8" kind="define" prot="public" static="no">
        <name>CY_CRYPTO_V2_TR_STOP_ON_AP_DETECT</name>
        <initializer>(1UL)</initializer>
        <briefdescription>
<para>Specifies if the TRNG functionality is stopped on an adaptive proportion test detection (when HW sets INTR.TR_AP_DETECT to '1'): '0': Functionality is stopped (TR_CTL1 fields are set to '0' by HW). </para>        </briefdescription>
        <detaileddescription>
<para>'1': Functionality is NOT stopped. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_trng_config_v2.h" bodystart="99" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_trng_config_v2.h" line="99" />
      </memberdef>
      <memberdef id="cy__crypto__core__trng__config__v2_8h_1a9e90dc4af29d88dcf263ae61847eaa67" kind="define" prot="public" static="no">
        <name>CY_CRYPTO_V2_TR_STOP_ON_RC_DETECT</name>
        <initializer>(1UL)</initializer>
        <briefdescription>
<para>Specifies if the TRNG functionality is stopped on a repetition count test detection (when HW sets INTR.TR_RC_DETECT to '1'): '0': Functionality is stopped (TR_CTL1 fields are set to '0' by HW). </para>        </briefdescription>
        <detaileddescription>
<para>'1': Functionality is NOT stopped. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_trng_config_v2.h" bodystart="107" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_trng_config_v2.h" line="107" />
      </memberdef>
      <memberdef id="cy__crypto__core__trng__config__v2_8h_1ad5dda4323ef68b945573a3afc023c20a" kind="define" prot="public" static="no">
        <name>CY_CRYPTO_V2_TR_RO11_EN</name>
        <initializer>(1UL)</initializer>
        <briefdescription>
<para>FW sets this field to '1' to enable the ring oscillator with 11 inverters. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_trng_config_v2.h" bodystart="110" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_trng_config_v2.h" line="110" />
      </memberdef>
      <memberdef id="cy__crypto__core__trng__config__v2_8h_1af5e2ac1e6208e7784a7c6cbcdb621442" kind="define" prot="public" static="no">
        <name>CY_CRYPTO_V2_TR_RO15_EN</name>
        <initializer>(1UL)</initializer>
        <briefdescription>
<para>FW sets this field to '1' to enable the ring oscillator with 15 inverters. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_trng_config_v2.h" bodystart="113" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_trng_config_v2.h" line="113" />
      </memberdef>
      <memberdef id="cy__crypto__core__trng__config__v2_8h_1ad03a60e53b94125a773640e15afb1d63" kind="define" prot="public" static="no">
        <name>CY_CRYPTO_V2_TR_GARO15_EN</name>
        <initializer>(1UL)</initializer>
        <briefdescription>
<para>FW sets this field to '1' to enable the fixed Galois ring oscillator with 15 inverters. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_trng_config_v2.h" bodystart="119" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_trng_config_v2.h" line="119" />
      </memberdef>
      <memberdef id="cy__crypto__core__trng__config__v2_8h_1abf2bab9a13aaacca84a0e8f60a6717a5" kind="define" prot="public" static="no">
        <name>CY_CRYPTO_V2_TR_GARO31_EN</name>
        <initializer>(1UL)</initializer>
        <briefdescription>
<para>FW sets this field to '1' to enable the programmable Galois ring oscillator with up to 31 inverters. </para>        </briefdescription>
        <detaileddescription>
<para>The TR_GARO_CTL register specifies the programmable polynomial. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_trng_config_v2.h" bodystart="125" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_trng_config_v2.h" line="125" />
      </memberdef>
      <memberdef id="cy__crypto__core__trng__config__v2_8h_1ab7590392149656cb2c076459739fb580" kind="define" prot="public" static="no">
        <name>CY_CRYPTO_V2_TR_FIRO15_EN</name>
        <initializer>(1UL)</initializer>
        <briefdescription>
<para>FW sets this field to '1' to enable the fixed Fibonacci ring oscillator with 15 inverters. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_trng_config_v2.h" bodystart="128" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_trng_config_v2.h" line="128" />
      </memberdef>
      <memberdef id="cy__crypto__core__trng__config__v2_8h_1a8b9913eaa6cdf5b43b50ae2ad41db6b1" kind="define" prot="public" static="no">
        <name>CY_CRYPTO_V2_TR_FIRO31_EN</name>
        <initializer>(1UL)</initializer>
        <briefdescription>
<para>FW sets this field to '1' to enable the programmable Fibonacci ring oscillator with up to 31 inverters. </para>        </briefdescription>
        <detaileddescription>
<para>The TR_FIRO_CTL register specifies the programmable polynomial. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_trng_config_v2.h" bodystart="134" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_trng_config_v2.h" line="134" />
      </memberdef>
      <memberdef id="cy__crypto__core__trng__config__v2_8h_1a103a0dcafcb2444dbbc4dd06ef29f6c8" kind="define" prot="public" static="no">
        <name>CY_CRYPTO_V2_TR_GARO</name>
        <initializer>(1UL)</initializer>
        <briefdescription>
<para>The polynomial for programmable Galois ring oscillator. </para>        </briefdescription>
        <detaileddescription>
<para>The polynomial is represented WITHOUT the high order bit (this bit is always assumed '1'). The polynomial should be aligned so that the more significant bits (bit 30 and down) contain the polynomial and the less significant bits (bit 0 and up) contain padding '0's. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_trng_config_v2.h" bodystart="142" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_trng_config_v2.h" line="142" />
      </memberdef>
      <memberdef id="cy__crypto__core__trng__config__v2_8h_1a8d9c799894528b7af07ddc3d8a68b2a0" kind="define" prot="public" static="no">
        <name>CY_CRYPTO_V2_TR_FIRO</name>
        <initializer>(1UL)</initializer>
        <briefdescription>
<para>The polynomial for the programmable Fibonacci ring oscillator. </para>        </briefdescription>
        <detaileddescription>
<para>The polynomial is represented WITHOUT the high order bit (this bit is always assumed '1'). The polynomial should be aligned so that the more significant bits (bit 30 and down) contain the polynomial and the less significant bits (bit 0 and up) contain padding '0's. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_trng_config_v2.h" bodystart="150" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_trng_config_v2.h" line="150" />
      </memberdef>
      <memberdef id="cy__crypto__core__trng__config__v2_8h_1a500e87508671348f85260b516ce7ea23" kind="define" prot="public" static="no">
        <name>CY_CRYPTO_V2_TR_BITSTREAM_SEL</name>
        <initializer>(0UL)</initializer>
        <briefdescription>
<para>Selection of the bit stream: "0": DAS bit stream. </para>        </briefdescription>
        <detaileddescription>
<para>"1": RED bit stream. "2": TR bit stream. "3": Undefined. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_trng_config_v2.h" bodystart="159" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_trng_config_v2.h" line="159" />
      </memberdef>
      <memberdef id="cy__crypto__core__trng__config__v2_8h_1ad7a725fe09e7e49227874e1e4c77a1db" kind="define" prot="public" static="no">
        <name>CY_CRYPTO_V2_TR_START_AP</name>
        <initializer>(0UL)</initializer>
        <briefdescription>
<para>Adaptive proportion (AP) test enable: '0': Stopped. </para>        </briefdescription>
        <detaileddescription>
<para>'1': Started.</para><para>On AP detection, HW sets this field to '0' and sets INTR.TR_AP_DETECT to '1. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_trng_config_v2.h" bodystart="168" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_trng_config_v2.h" line="168" />
      </memberdef>
      <memberdef id="cy__crypto__core__trng__config__v2_8h_1a93bddae5008727ad247baf26a0001007" kind="define" prot="public" static="no">
        <name>CY_CRYPTO_V2_TR_START_RC</name>
        <initializer>(0UL)</initializer>
        <briefdescription>
<para>Repetition count (RC) test enable: '0': Disabled. </para>        </briefdescription>
        <detaileddescription>
<para>'1': Enabled.</para><para>On RC detection, HW sets this field to '0' and sets INTR.TR_RC_DETECT to '1. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_trng_config_v2.h" bodystart="177" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_trng_config_v2.h" line="177" />
      </memberdef>
      <memberdef id="cy__crypto__core__trng__config__v2_8h_1ab8dedaa6407a6f14e9dc41e106330678" kind="define" prot="public" static="no">
        <name>CY_CRYPTO_V2_TR_CUTOFF_COUNT8</name>
        <initializer>(1UL)</initializer>
        <briefdescription>
<para>Cut-off count (legal range is [1, 255]): "0": Illegal. </para>        </briefdescription>
        <detaileddescription>
<para>"1": 1 repetition. ... "255": 255 repetitions. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_trng_config_v2.h" bodystart="186" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_trng_config_v2.h" line="186" />
      </memberdef>
      <memberdef id="cy__crypto__core__trng__config__v2_8h_1afaddb8e370a1c76d5459d0324331ba16" kind="define" prot="public" static="no">
        <name>CY_CRYPTO_V2_TR_CUTOFF_COUNT16</name>
        <initializer>(1UL)</initializer>
        <briefdescription>
<para>Cut-off count (legal range is [1, 65535]). </para>        </briefdescription>
        <detaileddescription>
<para>"0": Illegal. "1": 1 occurrence. ... "65535": 65535 occurrences. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_trng_config_v2.h" bodystart="195" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_trng_config_v2.h" line="195" />
      </memberdef>
      <memberdef id="cy__crypto__core__trng__config__v2_8h_1a84c97dbbaee99e894914f442b3b0ae5d" kind="define" prot="public" static="no">
        <name>CY_CRYPTO_V2_TR_WINDOW_SIZE</name>
        <initializer>(1UL)</initializer>
        <briefdescription>
<para>The window size (minus 1) : "0": 1 bit. </para>        </briefdescription>
        <detaileddescription>
<para>... "65535": 65536 bits. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_trng_config_v2.h" bodystart="203" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_trng_config_v2.h" line="203" />
      </memberdef>
      <memberdef id="cy__crypto__core__trng__config__v2_8h_1a75c82cf484f69a7232e9dce63a9bf707" kind="define" prot="public" static="no">
        <name>CY_CRYPTO_V2_TR_CTL0_VAL</name>
        <initializer>(_VAL2FLD(CRYPTO_TR_CTL0_SAMPLE_CLOCK_DIV, CY_CRYPTO_V2_TR_SAMPLE_CLOCK_DIV) | \
                                   _VAL2FLD(CRYPTO_TR_CTL0_RED_CLOCK_DIV, CY_CRYPTO_V2_TR_RED_CLOCK_DIV) | \
                                   _VAL2FLD(CRYPTO_TR_CTL0_INIT_DELAY, CY_CRYPTO_V2_TR_INIT_DELAY) | \
                                   _VAL2FLD(CRYPTO_TR_CTL0_VON_NEUMANN_CORR, CY_CRYPTO_V2_TR_VON_NEUMANN_CORR) | \
                                   _VAL2FLD(CRYPTO_TR_CTL0_STOP_ON_AP_DETECT, CY_CRYPTO_V2_TR_STOP_ON_AP_DETECT) | \
                                   _VAL2FLD(CRYPTO_TR_CTL0_STOP_ON_RC_DETECT, CY_CRYPTO_V2_TR_STOP_ON_RC_DETECT))</initializer>
        <briefdescription>
<para>The composed value for the TR_CTL0 register. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_trng_config_v2.h" bodystart="206" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_trng_config_v2.h" line="206" />
      </memberdef>
      <memberdef id="cy__crypto__core__trng__config__v2_8h_1a86dbb7eaed6fc2e12a9ee22b710b7db2" kind="define" prot="public" static="no">
        <name>CY_CRYPTO_V2_TR_CTL1_VAL</name>
        <initializer>(_VAL2FLD(CRYPTO_TR_CTL1_RO11_EN, CY_CRYPTO_V2_TR_RO11_EN) | \
                                   _VAL2FLD(CRYPTO_TR_CTL1_RO15_EN, CY_CRYPTO_V2_TR_RO15_EN) | \
                                   _VAL2FLD(CRYPTO_TR_CTL1_GARO15_EN, CY_CRYPTO_V2_TR_GARO15_EN) | \
                                   _VAL2FLD(CRYPTO_TR_CTL1_GARO31_EN, CY_CRYPTO_V2_TR_GARO31_EN) | \
                                   _VAL2FLD(CRYPTO_TR_CTL1_FIRO15_EN, CY_CRYPTO_V2_TR_FIRO15_EN) | \
                                   _VAL2FLD(CRYPTO_TR_CTL1_FIRO31_EN, CY_CRYPTO_V2_TR_FIRO31_EN))</initializer>
        <briefdescription>
<para>The composed value for the TR_CTL1 register. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_trng_config_v2.h" bodystart="214" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_trng_config_v2.h" line="214" />
      </memberdef>
      <memberdef id="cy__crypto__core__trng__config__v2_8h_1a9ee455d75572e7fcf127de8e3a27a517" kind="define" prot="public" static="no">
        <name>CY_CRYPTO_V2_TR_CTL1_DISABLE_VAL</name>
        <initializer>(0UL)</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_trng_config_v2.h" bodystart="221" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_trng_config_v2.h" line="221" />
      </memberdef>
      <memberdef id="cy__crypto__core__trng__config__v2_8h_1af01d4101b294c0c242a649398be1e205" kind="define" prot="public" static="no">
        <name>CY_CRYPTO_V2_TR_BTSTR_SEL</name>
        <initializer>(_VAL2FLD(CRYPTO_TR_MON_CTL_BITSTREAM_SEL, CY_CRYPTO_V2_TR_BITSTREAM_SEL))</initializer>
        <briefdescription>
<para>The composed value for the TR_MON_CTL register. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_trng_config_v2.h" bodystart="224" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_trng_config_v2.h" line="224" />
      </memberdef>
      <memberdef id="cy__crypto__core__trng__config__v2_8h_1abacde95a04511adca02251ca565f195c" kind="define" prot="public" static="no">
        <name>CY_CRYPTO_V2_TR_START_MON</name>
        <initializer>(_VAL2FLD(CRYPTO_TR_MON_CMD_START_AP, CY_CRYPTO_V2_TR_START_AP) | \
                                    _VAL2FLD(CRYPTO_TR_MON_CMD_START_RC, CY_CRYPTO_V2_TR_START_RC))</initializer>
        <briefdescription>
<para>The composed value for the TR_MON_CMD register. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_trng_config_v2.h" bodystart="227" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_trng_config_v2.h" line="227" />
      </memberdef>
      <memberdef id="cy__crypto__core__trng__config__v2_8h_1a3f891825e160b3345ce6d94805883e35" kind="define" prot="public" static="no">
        <name>CY_CRYPTO_V2_TR_RC_CUTOFF</name>
        <initializer>(_VAL2FLD(CRYPTO_TR_MON_RC_CTL_CUTOFF_COUNT8, CY_CRYPTO_V2_TR_CUTOFF_COUNT8))</initializer>
        <briefdescription>
<para>The composed value for the TR_MON_RC_CTL register. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_trng_config_v2.h" bodystart="231" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_trng_config_v2.h" line="231" />
      </memberdef>
      <memberdef id="cy__crypto__core__trng__config__v2_8h_1a9a1a90df5fc7747210b73cf2f031264f" kind="define" prot="public" static="no">
        <name>CY_CRYPTO_V2_TR_AC_CUTOFF</name>
        <initializer>(_VAL2FLD(CRYPTO_TR_MON_AP_CTL_CUTOFF_COUNT16, CY_CRYPTO_V2_TR_CUTOFF_COUNT16) | \
                                    _VAL2FLD(CRYPTO_TR_MON_AP_CTL_WINDOW_SIZE, CY_CRYPTO_V2_TR_WINDOW_SIZE))</initializer>
        <briefdescription>
<para>The composed value for the TR_MON_AP_CTL register. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_trng_config_v2.h" bodystart="234" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_trng_config_v2.h" line="234" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>This file provides internal (not public) constants and parameters for the Crypto TRNG driver. </para>    </briefdescription>
    <detaileddescription>
<para><simplesect kind="version"><para>2.30.3</para></simplesect>
Copyright 2016-2020 Cypress Semiconductor Corporation SPDX-License-Identifier: Apache-2.0</para><para>Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at</para><para><ulink url="http://www.apache.org/licenses/LICENSE-2.0">http://www.apache.org/licenses/LICENSE-2.0</ulink></para><para>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </para>    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/***************************************************************************/</highlight></codeline>
<codeline lineno="27"><highlight class="preprocessor">#if<sp />!defined(CY_CRYPTO_CORE_TRNG_CONFIG_V2_H)</highlight><highlight class="normal" /></codeline>
<codeline lineno="28"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_CRYPTO_CORE_TRNG_CONFIG_V2_H</highlight><highlight class="normal" /></codeline>
<codeline lineno="29"><highlight class="normal" /></codeline>
<codeline lineno="30"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(CY_IP_MXCRYPTO)</highlight><highlight class="normal" /></codeline>
<codeline lineno="31"><highlight class="normal" /></codeline>
<codeline lineno="32"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="33"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal"><sp />{</highlight></codeline>
<codeline lineno="34"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="35"><highlight class="normal" /></codeline>
<codeline lineno="36"><highlight class="normal" /><highlight class="preprocessor">#if<sp />(CPUSS_CRYPTO_TR<sp />==<sp />1)</highlight><highlight class="normal" /></codeline>
<codeline lineno="37"><highlight class="normal" /></codeline>
<codeline lineno="38"><highlight class="normal" /></codeline>
<codeline lineno="47"><highlight class="preprocessor">#define<sp />CY_CRYPTO_V2_TR_SAMPLE_CLOCK_DIV<sp /><sp /><sp /><sp /><sp /><sp />(0UL)</highlight><highlight class="normal" /></codeline>
<codeline lineno="48"><highlight class="normal" /></codeline>
<codeline lineno="58"><highlight class="preprocessor">#define<sp />CY_CRYPTO_V2_TR_RED_CLOCK_DIV<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0UL)</highlight><highlight class="normal" /></codeline>
<codeline lineno="59"><highlight class="normal" /></codeline>
<codeline lineno="75"><highlight class="preprocessor">#define<sp />CY_CRYPTO_V2_TR_INIT_DELAY<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(3UL)</highlight><highlight class="normal" /></codeline>
<codeline lineno="76"><highlight class="normal" /></codeline>
<codeline lineno="91"><highlight class="preprocessor">#define<sp />CY_CRYPTO_V2_TR_VON_NEUMANN_CORR<sp /><sp /><sp /><sp /><sp /><sp />(1UL)</highlight><highlight class="normal" /></codeline>
<codeline lineno="92"><highlight class="normal" /></codeline>
<codeline lineno="99"><highlight class="preprocessor">#define<sp />CY_CRYPTO_V2_TR_STOP_ON_AP_DETECT<sp /><sp /><sp /><sp /><sp />(1UL)</highlight><highlight class="normal" /></codeline>
<codeline lineno="100"><highlight class="normal" /></codeline>
<codeline lineno="107"><highlight class="preprocessor">#define<sp />CY_CRYPTO_V2_TR_STOP_ON_RC_DETECT<sp /><sp /><sp /><sp /><sp />(1UL)</highlight><highlight class="normal" /></codeline>
<codeline lineno="108"><highlight class="normal" /></codeline>
<codeline lineno="110"><highlight class="preprocessor">#define<sp />CY_CRYPTO_V2_TR_RO11_EN<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(1UL)</highlight><highlight class="normal" /></codeline>
<codeline lineno="111"><highlight class="normal" /></codeline>
<codeline lineno="113"><highlight class="preprocessor">#define<sp />CY_CRYPTO_V2_TR_RO15_EN<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(1UL)</highlight><highlight class="normal" /></codeline>
<codeline lineno="114"><highlight class="normal" /></codeline>
<codeline lineno="119"><highlight class="preprocessor">#define<sp />CY_CRYPTO_V2_TR_GARO15_EN<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(1UL)</highlight><highlight class="normal" /></codeline>
<codeline lineno="120"><highlight class="normal" /></codeline>
<codeline lineno="125"><highlight class="preprocessor">#define<sp />CY_CRYPTO_V2_TR_GARO31_EN<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(1UL)</highlight><highlight class="normal" /></codeline>
<codeline lineno="126"><highlight class="normal" /></codeline>
<codeline lineno="128"><highlight class="preprocessor">#define<sp />CY_CRYPTO_V2_TR_FIRO15_EN<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(1UL)</highlight><highlight class="normal" /></codeline>
<codeline lineno="129"><highlight class="normal" /></codeline>
<codeline lineno="134"><highlight class="preprocessor">#define<sp />CY_CRYPTO_V2_TR_FIRO31_EN<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(1UL)</highlight><highlight class="normal" /></codeline>
<codeline lineno="135"><highlight class="normal" /></codeline>
<codeline lineno="142"><highlight class="preprocessor">#define<sp />CY_CRYPTO_V2_TR_GARO<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(1UL)</highlight><highlight class="normal" /></codeline>
<codeline lineno="143"><highlight class="normal" /></codeline>
<codeline lineno="150"><highlight class="preprocessor">#define<sp />CY_CRYPTO_V2_TR_FIRO<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(1UL)</highlight><highlight class="normal" /></codeline>
<codeline lineno="151"><highlight class="normal" /></codeline>
<codeline lineno="159"><highlight class="preprocessor">#define<sp />CY_CRYPTO_V2_TR_BITSTREAM_SEL<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0UL)</highlight><highlight class="normal" /></codeline>
<codeline lineno="160"><highlight class="normal" /></codeline>
<codeline lineno="168"><highlight class="preprocessor">#define<sp />CY_CRYPTO_V2_TR_START_AP<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0UL)</highlight><highlight class="normal" /></codeline>
<codeline lineno="169"><highlight class="normal" /></codeline>
<codeline lineno="177"><highlight class="preprocessor">#define<sp />CY_CRYPTO_V2_TR_START_RC<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0UL)</highlight><highlight class="normal" /></codeline>
<codeline lineno="178"><highlight class="normal" /></codeline>
<codeline lineno="186"><highlight class="preprocessor">#define<sp />CY_CRYPTO_V2_TR_CUTOFF_COUNT8<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(1UL)</highlight><highlight class="normal" /></codeline>
<codeline lineno="187"><highlight class="normal" /></codeline>
<codeline lineno="195"><highlight class="preprocessor">#define<sp />CY_CRYPTO_V2_TR_CUTOFF_COUNT16<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(1UL)</highlight><highlight class="normal" /></codeline>
<codeline lineno="196"><highlight class="normal" /></codeline>
<codeline lineno="203"><highlight class="preprocessor">#define<sp />CY_CRYPTO_V2_TR_WINDOW_SIZE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(1UL)</highlight><highlight class="normal" /></codeline>
<codeline lineno="204"><highlight class="normal" /></codeline>
<codeline lineno="206"><highlight class="preprocessor">#define<sp />CY_CRYPTO_V2_TR_CTL0_VAL<sp /><sp />(_VAL2FLD(CRYPTO_TR_CTL0_SAMPLE_CLOCK_DIV,<sp />CY_CRYPTO_V2_TR_SAMPLE_CLOCK_DIV)<sp />|<sp />\</highlight></codeline>
<codeline lineno="207"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />_VAL2FLD(CRYPTO_TR_CTL0_RED_CLOCK_DIV,<sp />CY_CRYPTO_V2_TR_RED_CLOCK_DIV)<sp />|<sp />\</highlight></codeline>
<codeline lineno="208"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />_VAL2FLD(CRYPTO_TR_CTL0_INIT_DELAY,<sp />CY_CRYPTO_V2_TR_INIT_DELAY)<sp />|<sp />\</highlight></codeline>
<codeline lineno="209"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />_VAL2FLD(CRYPTO_TR_CTL0_VON_NEUMANN_CORR,<sp />CY_CRYPTO_V2_TR_VON_NEUMANN_CORR)<sp />|<sp />\</highlight></codeline>
<codeline lineno="210"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />_VAL2FLD(CRYPTO_TR_CTL0_STOP_ON_AP_DETECT,<sp />CY_CRYPTO_V2_TR_STOP_ON_AP_DETECT)<sp />|<sp />\</highlight></codeline>
<codeline lineno="211"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />_VAL2FLD(CRYPTO_TR_CTL0_STOP_ON_RC_DETECT,<sp />CY_CRYPTO_V2_TR_STOP_ON_RC_DETECT))</highlight><highlight class="normal" /></codeline>
<codeline lineno="212"><highlight class="normal" /></codeline>
<codeline lineno="214"><highlight class="preprocessor">#define<sp />CY_CRYPTO_V2_TR_CTL1_VAL<sp /><sp />(_VAL2FLD(CRYPTO_TR_CTL1_RO11_EN,<sp />CY_CRYPTO_V2_TR_RO11_EN)<sp />|<sp />\</highlight></codeline>
<codeline lineno="215"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />_VAL2FLD(CRYPTO_TR_CTL1_RO15_EN,<sp />CY_CRYPTO_V2_TR_RO15_EN)<sp />|<sp />\</highlight></codeline>
<codeline lineno="216"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />_VAL2FLD(CRYPTO_TR_CTL1_GARO15_EN,<sp />CY_CRYPTO_V2_TR_GARO15_EN)<sp />|<sp />\</highlight></codeline>
<codeline lineno="217"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />_VAL2FLD(CRYPTO_TR_CTL1_GARO31_EN,<sp />CY_CRYPTO_V2_TR_GARO31_EN)<sp />|<sp />\</highlight></codeline>
<codeline lineno="218"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />_VAL2FLD(CRYPTO_TR_CTL1_FIRO15_EN,<sp />CY_CRYPTO_V2_TR_FIRO15_EN)<sp />|<sp />\</highlight></codeline>
<codeline lineno="219"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />_VAL2FLD(CRYPTO_TR_CTL1_FIRO31_EN,<sp />CY_CRYPTO_V2_TR_FIRO31_EN))</highlight><highlight class="normal" /></codeline>
<codeline lineno="220"><highlight class="normal" /></codeline>
<codeline lineno="221"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_CRYPTO_V2_TR_CTL1_DISABLE_VAL<sp /><sp /><sp /><sp /><sp /><sp />(0UL)</highlight><highlight class="normal" /></codeline>
<codeline lineno="222"><highlight class="normal" /></codeline>
<codeline lineno="224"><highlight class="preprocessor">#define<sp />CY_CRYPTO_V2_TR_BTSTR_SEL<sp /><sp />(_VAL2FLD(CRYPTO_TR_MON_CTL_BITSTREAM_SEL,<sp />CY_CRYPTO_V2_TR_BITSTREAM_SEL))</highlight><highlight class="normal" /></codeline>
<codeline lineno="225"><highlight class="normal" /></codeline>
<codeline lineno="227"><highlight class="preprocessor">#define<sp />CY_CRYPTO_V2_TR_START_MON<sp /><sp />(_VAL2FLD(CRYPTO_TR_MON_CMD_START_AP,<sp />CY_CRYPTO_V2_TR_START_AP)<sp />|<sp />\</highlight></codeline>
<codeline lineno="228"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />_VAL2FLD(CRYPTO_TR_MON_CMD_START_RC,<sp />CY_CRYPTO_V2_TR_START_RC))</highlight><highlight class="normal" /></codeline>
<codeline lineno="229"><highlight class="normal" /></codeline>
<codeline lineno="231"><highlight class="preprocessor">#define<sp />CY_CRYPTO_V2_TR_RC_CUTOFF<sp /><sp />(_VAL2FLD(CRYPTO_TR_MON_RC_CTL_CUTOFF_COUNT8,<sp />CY_CRYPTO_V2_TR_CUTOFF_COUNT8))</highlight><highlight class="normal" /></codeline>
<codeline lineno="232"><highlight class="normal" /></codeline>
<codeline lineno="234"><highlight class="preprocessor">#define<sp />CY_CRYPTO_V2_TR_AC_CUTOFF<sp /><sp />(_VAL2FLD(CRYPTO_TR_MON_AP_CTL_CUTOFF_COUNT16,<sp />CY_CRYPTO_V2_TR_CUTOFF_COUNT16)<sp />|<sp />\</highlight></codeline>
<codeline lineno="235"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />_VAL2FLD(CRYPTO_TR_MON_AP_CTL_WINDOW_SIZE,<sp />CY_CRYPTO_V2_TR_WINDOW_SIZE))</highlight><highlight class="normal" /></codeline>
<codeline lineno="236"><highlight class="normal" /></codeline>
<codeline lineno="237"><highlight class="normal" /></codeline>
<codeline lineno="238"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />#if<sp />(CPUSS_CRYPTO_TR<sp />==<sp />1)<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="239"><highlight class="normal" /></codeline>
<codeline lineno="240"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="241"><highlight class="normal">}</highlight></codeline>
<codeline lineno="242"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="243"><highlight class="normal" /></codeline>
<codeline lineno="244"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />CY_IP_MXCRYPTO<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="245"><highlight class="normal" /></codeline>
<codeline lineno="246"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />#if<sp />!defined(CY_CRYPTO_CORE_TRNG_CONFIG_V2_H)<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="247"><highlight class="normal" /></codeline>
<codeline lineno="248"><highlight class="normal" /></codeline>
<codeline lineno="249"><highlight class="normal" /><highlight class="comment">/*<sp />[]<sp />END<sp />OF<sp />FILE<sp />*/</highlight><highlight class="normal" /></codeline>
    </programlisting>
    <location file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_trng_config_v2.h" />
  </compounddef>
</doxygen>